Mojo::Cache(3)

NAME
Mojo::Cache - Naive in-memory cache

SYNOPSIS
  use Mojo::Cache;

  my $cache = Mojo::Cache->new(max_keys => 50);
  $cache->set(foo => 'bar');
  my $foo = $cache->get('foo');

DESCRIPTION
Mojo::Cache is a naive in-memory cache with size limits.

ATTRIBUTES
Mojo::Cache implements the following attributes.

  max_keys
  my $max = $cache->max_keys;
  $cache  = $cache->max_keys(50);

Maximum number of cache keys, defaults to 100. Setting the value to 0 will disable caching.

METHODS
Mojo::Cache inherits all methods from Mojo::Base and implements the following new ones.

  get
  my $value = $cache->get('foo');

Get cached value.

  set
  $cache = $cache->set(foo => 'bar');

Set cached value.

SEE ALSO
Mojolicious, Mojolicious::Guides, <http://mojolicious.org>.